#!/bin/sh

[ -n "$(command -v wget)" ] && wget https://github.com/SimonKagstrom/kcov/archive/v33.tar.gz
[ -z "$(command -v wget)" ] && [ -n "$(command -v curl)" ] && curl -L -O https://github.com/SimonKagstrom/kcov/archive/v33.tar.gz
tar -xzf v33.tar.gz
mkdir -p kcov-build
cd kcov-build
[ -n "$(command -v apt)" ] && sudo apt install pkg-config zlib1g-dev libcurl4-openssl-dev libssl-dev libelf-dev libbfb0-dev libdw-dev libbfd-dev
[ -z "$(command -v apt)" ] && [ "$(command -v yum)" ] && sudo yum -y install pkgconfig zlib-devel libcurl-devel openssl-devel elfutils-libelf-devel binutils-devel elfutils-devel
cmake ../kcov-33
make
sudo make install
