#!/bin/sh
#
# msmtp-scripts test framework
#
#    Copyright (C) 2019 Daniel F. Dickinson <cshored@thecshore.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

OTS=SUCCESS

export MSMTP_SKIP_CONF=true
export MSMTP_OVERRIDE_CONF=./tmp/msmtpq-multiqueue.rc

chmod a+wx ./tmp/msmtp.queue || true
rm -rf ./tmp/msmtp.queue/*
rm -f ./tmp/msmtp.queue.log

TS=PASS
export USER=root

 echo "Subject: Test mail queueing with multiple queues

Test mail queueing with multiple queues
Test" | MSMTP_SKIP_CONF=true MSMTP_OVERRIDE_CONF=${MSMTP_OVERRIDE_CONF} ${KCOV_OUTSIDE}9-1  /usr/bin/msmtpq-ng -kcov "${KCOV_BASE}9-1" root
TRC=$?

if [ "$TRC" != "69" ]; then
	TS=FAIL
	OTS=FAIL
fi

echo "$TS: Sending mail with multiple queues test succeeds"

if [ "$OTS" = "FAIL" ]; then
	exit 3
else
	exit 0
fi
