#!/bin/sh
#
# msmtp-scripts test framework
#
#    Copyright (C) 2019 Daniel F. Dickinson <cshored@thecshore.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

OTS=SUCCESS
TS=PASS

echo "Subject: Testing system mail queue management

Testing system mail queue management"| ${KCOV_OUTSIDE}16-1 /usr/sbin/msmtpq-ng-mta -kcov "${KCOV_BASE}16-1" root

${KCOV_THROUGH}16-2 /usr/sbin/msmtpq-ng-queue-mta -p | grep -q "^$(id -u)\.$(date +%Y%m%d)"
MNQMRC=$?

if [ "$MNQMRC" != "0" ]; then
	TS=FAIL
	OTS=FAIL
fi

echo "$TS: Listing system mail queue succeeds"

if [ "$OTS" = "FAIL" ]; then
	exit 3
else
	exit 0
fi
